Blame SOURCES/0454-url-lib-ca-bundle.crt-changed-to-a-symlink.patch

18971c
From 1b23c6c65c39630cb62faa2503817759f83d880b Mon Sep 17 00:00:00 2001
18971c
From: Harald Hoyer <harald@redhat.com>
18971c
Date: Wed, 17 Aug 2016 16:41:21 +0200
18971c
Subject: [PATCH] url-lib: ca-bundle.crt changed to a symlink
18971c
18971c
use inst() instead of inst_simple()
18971c
18971c
/etc/pki/tls/certs/ca-bundle.crt is a symlink to
18971c
../../ca-trust/extracted/pem/tls-ca-bundle.pem
18971c
18971c
with inst() we install the original file also.
18971c
18971c
https://bugzilla.redhat.com/show_bug.cgi?id=1341280
18971c
---
18971c
 modules.d/45url-lib/module-setup.sh | 2 +-
18971c
 1 file changed, 1 insertion(+), 1 deletion(-)
18971c
18971c
diff --git a/modules.d/45url-lib/module-setup.sh b/modules.d/45url-lib/module-setup.sh
18971c
index f2d068b3..6a2bb832 100755
18971c
--- a/modules.d/45url-lib/module-setup.sh
18971c
+++ b/modules.d/45url-lib/module-setup.sh
18971c
@@ -28,7 +28,7 @@ install() {
18971c
             _crt=$(grep -F --binary-files=text -z .crt $_lib)
18971c
             [[ $_crt ]] || continue
18971c
             [[ $_crt == /*/* ]] || continue
18971c
-            if ! inst_simple "$_crt"; then
18971c
+            if ! inst "$_crt"; then
18971c
                 dwarn "Couldn't install '$_crt' SSL CA cert bundle; HTTPS might not work."
18971c
                 continue
18971c
             fi